#pragma once
#include <stddef.h>

typedef struct s_lst
{
	void* content;
	struct s_lst* next;
} lst;

size_t lst_len(const lst* root);
void lst_iter(const lst* root, void (*f)(void *));
lst* lst_find(lst* root, void (*cmp)(const lst* lst1, const lst* lst2));
void lst_addback(lst** root, lst* nouveau);
void lst_clear(lst** root, void (*del)(void *));
